import csv
from sage.plot.colors import rainbow


AmoebaInputFile=csv.reader(open("./amoebaoutputfile.txt"), delimiter=',')
maximum = 0
AmoebaList = []

for row in AmoebaInputFile:
	row = [Rational(x) for x in row]
	AmoebaList.append(row)
	if (row[-1] > maximum):
		maximum = row[-1]

ourcolors = rainbow(2*maximum+1)

amoebaplot = list_plot([])
for entry in AmoebaList:
	amoebaplot = amoebaplot + list_plot([tuple(entry[0:-1])], color=ourcolors[entry[-1]+maximum])

plot(amoebaplot, aspect_ratio=1)
amoebaplot.save("./Amoebaplot.png")



